Bug 1733489 - Vertical Navigation showing multiple active destinations
Summary: Vertical Navigation showing multiple active destinations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Robin Knaur
QA Contact: Nikhil Dhandre
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 08:49 UTC by Nikhil Dhandre
Modified: 2019-12-13 15:01 UTC (History)
7 users (show)

Fixed In Version: 5.11.0.18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 15:01:05 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot showing active destinations (181.58 KB, image/png)
2019-07-26 08:49 UTC, Nikhil Dhandre
no flags Details

Description Nikhil Dhandre 2019-07-26 08:49:05 UTC
Description of problem:
-----------------------

When we navigate to `Services > My Services` vertical Navigation bar should show only `Services > May Services` are active but it showing some other active destinations like `Providers` and `Services` from newly added `Red Hat Cloud`. 

It's breaking automation navigation checks. as automation detects at the same time other destinations are active.



Version-Release number of selected component (if applicable):
-------------------------------------------------------------
Version 5.11.0.16.20190724210259_2b4aa51



How reproducible:
----------------
always


Actual results:
---------------
Showing multiple active destinations


Expected results:
-----------------
It should show only selected


Additional info:

Comment 2 Nikhil Dhandre 2019-07-26 08:49:52 UTC
Created attachment 1593647 [details]
screenshot showing active destinations

Comment 6 CFME Bot 2019-08-01 14:25:03 UTC
New commit detected on RedHatCloudForms/cfme-cloud_services/master:

https://github.com/RedHatCloudForms/cfme-cloud_services/commit/8992945dbb01e4292bdd22762a041fbaada6a912
commit 8992945dbb01e4292bdd22762a041fbaada6a912
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Mon Jul 29 05:01:30 2019 -0400
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Mon Jul 29 05:01:30 2019 -0400

    Show Active menu items correctly
    https://bugzilla.redhat.com/show_bug.cgi?id=1733489

 app/controllers/red_hat_cloud_services_controller.rb | 2 +-
 lib/cfme/cloud_services/engine.rb | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 7 CFME Bot 2019-08-01 22:53:55 UTC
New commit detected on RedHatCloudForms/cfme-cloud_services/ivanchuk:

https://github.com/RedHatCloudForms/cfme-cloud_services/commit/f3696526e4b7e816d7af3d7f38c3cd3c6e5cf2b4
commit f3696526e4b7e816d7af3d7f38c3cd3c6e5cf2b4
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Aug  1 10:24:12 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Aug  1 10:24:12 2019 -0400

    Merge pull request #29 from PanSpagetka/show-active-tabs-correctly

    Show Active menu items correctly

    (cherry picked from commit 4d5e66f3a11059151ae57a50d1a3ea92d3ef2db0)

    https://bugzilla.redhat.com/show_bug.cgi?id=1733489

 app/controllers/red_hat_cloud_services_controller.rb | 2 +-
 lib/cfme/cloud_services/engine.rb | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 8 Nikhil Dhandre 2019-08-08 07:42:30 UTC
Tested with 5.11.0.18... after MyService selection it showing currently selected as MyService not service from Red Hat Cloud.


Note You need to log in before you can comment on or make changes to this bug.